## pyro4 4.20

=== debian/changelog ===
pyro4 (4.20-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 10 Jul 2013 20:11:51 +0200

pyro4 (4.18-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 07 Apr 2013 17:31:31 +0200

pyro4 (4.17-1) unstable; urgency=low

  * Initial upload (closes: #697054).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 28 Dec 2012 10:57:55 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/build

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(DESTDIR) --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	export PYTHONPATH="$(CURDIR)/build/lib/" && cd $(CURDIR)/docs/ && \
		$(MAKE) html
	dh_auto_install

override_dh_install:
	dh_install
	# Remove unnecessary executable permissions
	chmod a-x $(CURDIR)/debian/pyro4-examples/usr/share/doc/pyro4/examples/maxsize/Readme.txt
	chmod -x $(CURDIR)/debian/pyro4-examples/usr/share/doc/pyro4/examples/echoserver/Readme.txt
	chmod -x $(CURDIR)/debian/pyro4-examples/usr/share/doc/pyro4/examples/echoserver/client.py
	rm $(CURDIR)/debian/pyro4-doc/usr/share/doc/pyro4-doc/html/_sources/license.txt
	# Remove already packaged JavaScript libraries
	rm $(CURDIR)/debian/pyro4-doc/usr/share/doc/pyro4-doc/html/_static/jquery.js
	rm $(CURDIR)/debian/pyro4-doc/usr/share/doc/pyro4-doc/html/_static/underscore.js
	dh_link -ppyro4-doc \
                /usr/share/javascript/jquery/jquery.js \
		/usr/share/doc/pyro4-doc/html/_static/jquery.js
	dh_link -ppyro4-doc \
                /usr/share/javascript/underscore/underscore.js \
		/usr/share/doc/pyro4-doc/html/_static/underscore.js

override_dh_installinit:
	dh_installinit -ppyro4 --name=pyro4-nsd --onlyscripts
	# Due to --onlyscripts above, default file is not installed
	# automatically
	install -m0644 -D $(CURDIR)/debian/pyro4.pyro4-nsd.default \
		$(CURDIR)/debian/pyro4/etc/default/pyro4-nsd

override_dh_auto_test:
#	doesn't pass at the moment
#	python setup.py test

%:
	dh $@ --with python2,python3

## pyro4 4.43

=== Makefile ===
.PHONY: all sdist wheel docs install upload upload_docs clean test
PYTHON=python3

all:
	@echo "targets include sdist, wheel, docs, upload, upload_docs, install, clean"

sdist: 
	$(PYTHON) setup.py sdist
	@echo "Look in the dist/ directory"

wheel: 
	$(PYTHON) setup.py bdist_wheel
	@echo "Look in the dist/ directory"

docs:
	$(PYTHON) setup.py build_sphinx

upload: upload_docs
	$(PYTHON) setup.py sdist upload
	$(PYTHON) setup.py bdist_wheel upload
	
upload_docs: docs
	$(PYTHON) setup.py upload_docs --upload-dir=build/sphinx/html

install:
	$(PYTHON) setup.py install

test:
	$(PYTHON) tests/run_testsuite.py

clean:
	@echo "Removing tox dirs, logfiles, Pyro URI dumps, .pyo/.pyc files..."
	rm -rf .tox
	find . -name __pycache__ -print0 | xargs -0 rm -rf
	find . -name \*_log -print0 | xargs -0  rm -f
	find . -name \*.log -print0 | xargs -0  rm -f
	find . -name \*_URI -print0 | xargs -0  rm -f
	find . -name \*.pyo -print0 | xargs -0  rm -f
	find . -name \*.pyc -print0 | xargs -0  rm -f
	find . -name \*.class -print0 | xargs -0  rm -f
	find . -name \*.DS_Store -print0 | xargs -0  rm -f
	find . -name \.coverage -print0 | xargs -0  rm -f
	find . -name \coverage.xml -print0 | xargs -0  rm -f
	rm -f MANIFEST 
	rm -rf build
	rm -rf tests/test-reports
	find . -name  '.#*' -print0 | xargs -0  rm -f
	find . -name  '#*#' -print0 | xargs -0  rm -f
	@echo "clean!"

=== requirements.txt ===
serpent>=1.11

## pyro4 4.22

=== debian/changelog ===
pyro4 (4.22-1) unstable; urgency=low

  * New upstream release.
  * Add patch to source init functions for systemd support.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 19 Sep 2013 11:22:24 +0000

=== debian/control ===
Source: pyro4
Section: python
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 7.0.50), python-all, python3-all
Build-Depends-Indep: python-support (>= 0.71), python-sphinx
Standards-Version: 3.9.4
Homepage: http://packages.python.org/Pyro4/
XS-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: pyro4
Architecture: all
Depends: ${misc:Depends}, python3-pyro4 | python2-pyro4
Suggests: pyro4-doc, pyro
Description: distributed object middleware for Python (RPC)
 Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
 system for Python. In a distributed object system, clients send requests to
 distant servers, which owns the remote objects. Pyro simplifies a lot the
 creation of clients and servers, and has among its features:
  - dynamic and static proxies for all remote method invocations,
  - a naming service which keeps record of the location of objects,
  - mobile objects support: clients and servers can pass objects around,
  - exceptions that occur in the remote object is raised on the client too,
  - multithreaded server support to handle multiple requests simultaneously.
 .
 This metapackage depends on the on the Python variant the user needs.
 .
 The documentation is available in the pyro4-doc package.
 A lot of examples are available in the pyro4-examples package.

Package: python2-pyro4
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: pyro4-doc, pyro4
Description: distributed object middleware for Python (RPC), Python2 modules
 Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
 system for Python. In a distributed object system, clients send requests to
 distant servers, which owns the remote objects. Pyro simplifies a lot the
 creation of clients and servers, and has among its features:
  - dynamic and static proxies for all remote method invocations,
  - a naming service which keeps record of the location of objects,
  - mobile objects support: clients and servers can pass objects around,
  - exceptions that occur in the remote object is raised on the client too,
  - multithreaded server support to handle multiple requests simultaneously.
 .
 This package contains the core Pyro4 module for Python 2.x .
 .
 The documentation is available in the pyro4-doc package.
 A lot of examples are available in the pyro4-examples package.

Package: python3-pyro4
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: pyro4-doc, pyro4
Description: distributed object middleware for Python (RPC), Python3 modules
 Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
 system for Python. In a distributed object system, clients send requests to
 distant servers, which owns the remote objects. Pyro simplifies a lot the
 creation of clients and servers, and has among its features:
  - dynamic and static proxies for all remote method invocations,
  - a naming service which keeps record of the location of objects,
  - mobile objects support: clients and servers can pass objects around,
  - exceptions that occur in the remote object is raised on the client too,
  - multithreaded server support to handle multiple requests simultaneously.
 .
 This package contains the core Pyro4 module for Python 3.x .
 .
 The documentation is available in the pyro4-doc package.
 A lot of examples are available in the pyro4-examples package.

Package: pyro4-doc
Architecture: all
Section: doc
Suggests: pyro4
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Description: distributed object middleware for Python (RPC), documentation
 Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
 system for Python.
 .
 This package contains the documentation files for the pyro4 package.

Package: pyro4-examples
Architecture: all
Depends: ${misc:Depends}, pyro4
Description: distributed object middleware for Python (RPC), examples
 Pyro4 (PYthon Remote Object) is an easy to use and powerful distributed object
 system for Python.
 .
 This package contains some examples for the pyro4 package.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 
 DESTDIR=$(CURDIR)/debian/tmp
+EXAMPLESDIR=$(CURDIR)/debian/pyro4-examples/usr/share/doc/pyro4/examples
 
 PYTHON2=$(shell pyversions -vr)
 PYTHON3=$(shell py3versions -vr)
@@ -51,9 +52,18 @@
 	install -m0644 -D $(CURDIR)/debian/pyro4.pyro4-nsd.default \
 		$(CURDIR)/debian/pyro4/etc/default/pyro4-nsd
 
+override_dh_fixperms:
+	dh_fixperms
+	chmod a-x $(EXAMPLESDIR)/warehouse/Readme.txt \
+		$(EXAMPLESDIR)/stockquotes/Readme.txt
+
+
 override_dh_auto_test:
-#	doesn't pass at the moment
+#	needs unpackaged python-serpent
 #	python setup.py test
 
 %:
 	dh $@ --with python2,python3
+
+.PHONY: override_dh_auto_build override_dh_auto_install override_dh_install \
+	override_dh_installinit override_dh_auto_test override_dh_fixperms

## pyro4 4.23

=== debian/changelog ===
pyro4 (4.23-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Feb 2014 07:27:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 7.0.50), python-all, python3-all
 Build-Depends-Indep: python-support (>= 0.71), python-sphinx
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://packages.python.org/Pyro4/
 XS-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf $(CURDIR)/build
+	rm -rf $(CURDIR)/build/ $(CURDIR)/src/Pyro4.egg-info/
 
 build-python%:
 	python$* setup.py build

=== debian/watch ===
version=3
http://pypi.python.org/pypi/Pyro4 .*/source/P/Pyro4/Pyro4-([\d\.]+).tar.gz.*

## pyro4 4.43

=== debian/changelog ===
pyro4 (4.43-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 05 May 2016 16:55:57 +0000

pyro4 (4.42-1) unstable; urgency=low

  * New upstream release.
  * Don't suggest unmaintained pyro package.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 21 Apr 2016 15:32:04 +0000

pyro4 (4.41-1) unstable; urgency=low

  * New upstream release (closes: #788527).
  * Drop all patches, merged upstream.
  * Tighten Serpent dependency.
  * Switch to Pybuild build system.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Apr 2016 17:48:53 +0000

pyro4 (4.23-2) unstable; urgency=low

  * Add missing serpent dependency (closes: #745437).
  * Add dh-python build dependency to prevent possible future FTBFS.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Feb 2015 22:36:55 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 7.0.50), python-all, python3-all
-Build-Depends-Indep: python-support (>= 0.71), python-sphinx
-Standards-Version: 3.9.5
+Build-Depends-Indep: dh-python, python3-sphinx
+Build-Conflicts: python-sphinx
+Standards-Version: 3.9.8
 Homepage: http://packages.python.org/Pyro4/
-XS-Python-Version: >= 2.6
+X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: pyro4
 Architecture: all
 Depends: ${misc:Depends}, python3-pyro4 | python2-pyro4
-Suggests: pyro4-doc, pyro
+Suggests: pyro4-doc
 Description: distributed object middleware for Python (RPC)
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
  system for Python. In a distributed object system, clients send requests to
@@ -31,7 +32,7 @@
 
 Package: python2-pyro4
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: python2-serpent (>= 1.11), ${misc:Depends}, ${python:Depends}
 Suggests: pyro4-doc, pyro4
 Description: distributed object middleware for Python (RPC), Python2 modules
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
@@ -51,7 +52,7 @@
 
 Package: python3-pyro4
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-serpent (>= 1.11), ${misc:Depends}, ${python3:Depends}
 Suggests: pyro4-doc, pyro4
 Description: distributed object middleware for Python (RPC), Python3 modules
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = pyro4
export PYBUILD_DESTDIR_python2=debian/python2-pyro4/

DOCDIR=$(CURDIR)/debian/pyro4-doc/usr/share/doc/pyro4-doc/
EXAMPLESDIR=$(CURDIR)/debian/pyro4-examples/usr/share/doc/pyro4/examples/

override_dh_auto_build:
	dh_auto_build
	cd $(CURDIR)/docs/ && $(MAKE) html

override_dh_installdocs:
	dh_installdocs
	rm $(DOCDIR)/html/_sources/license.txt

override_dh_fixperms:
	find $(EXAMPLESDIR) -type f -exec chmod a-x {} \;
	dh_fixperms

override_dh_installinit:
	dh_installinit -ppyro4 --name=pyro4-nsd --onlyscripts
	# Due to --onlyscripts above, default file is not installed
	# automatically
	install -m0644 -D $(CURDIR)/debian/pyro4.pyro4-nsd.default \
		$(CURDIR)/debian/pyro4/etc/default/pyro4-nsd

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

.PHONY: override_dh_auto_build override_dh_installdocs \
	override_dh_fixperms override_dh_installinit

## pyro4 4.53

=== Makefile ===
--- 
+++ 
@@ -16,11 +16,17 @@
 	$(PYTHON) setup.py build_sphinx
 
 upload: upload_docs
-	$(PYTHON) setup.py sdist upload
-	$(PYTHON) setup.py bdist_wheel upload
+	$(PYTHON) setup.py sdist bdist_wheel upload
+	@echo "Don't forget to package and upload the documentation!"
 	
 upload_docs: docs
-	$(PYTHON) setup.py upload_docs --upload-dir=build/sphinx/html
+	#  $(PYTHON) setup.py upload_docs --upload-dir=build/sphinx/html
+	rm -f build/sphinx/docs.zip
+	cd build/sphinx/html && zip -qr ../docs.zip .
+	@echo
+	@echo "@todo the setuptools upload_docs command / pypi doc upload have problems lately."
+	@echo "Upload build/sphinx/docs.zip manually at the bottom of this page:"
+	@echo "https://pypi.python.org/pypi?:action=pkg_edit&name=Pyro4"
 
 install:
 	$(PYTHON) setup.py install

=== requirements.txt ===
serpent>=1.16
selectors34 ; python_version < "3.4"

=== debian/changelog ===
pyro4 (4.53-3ubuntu1) zesty; urgency=medium

  * Remove rm on license.txt as its no longer generated on buildtime.
    Fix FTBFS on amd64.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 11 Feb 2017 10:50:42 +0530

pyro4 (4.53-3) unstable; urgency=medium

  * Remove Python2 compatibility patch.
  * Depend on python2-selectors34 for real Python2 compatibility
    (closes: #852245).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 06 Feb 2017 19:09:19 +0000

pyro4 (4.53-2) unstable; urgency=medium

  * Rework Python version detection.
  * Remove requires.txt from the installed files.

  [ Marcin Kulisz <debian@kulisz.net> ]
  * Fix Python2 compatibility (closes: #852245).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 23 Jan 2017 21:17:56 +0000

pyro4 (4.53-1) unstable; urgency=low

  * New upstream release.
  * Minimum Python3 version is 3.4 now.
  * Add python{,3}-setuptools to Build-Depends-Indep for installing tools.
  * Packages of python{2,3}-pyro4 conflict with each other due to tools.
  * Depend on up-to-date Serpent serialization library.
  * Use packaged jQuery and Underscore JavaScript libraries for documentation.
  * Add lsb-base dependency to the pyro4 package.
  * Make rebuildable.
  * Update watch file.
  * Update debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 06 Jan 2017 12:45:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: pyro4
 Section: python
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 7.0.50), python-all, python3-all
-Build-Depends-Indep: dh-python, python3-sphinx
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 10), python-all, python3-all
+Build-Depends-Indep: dh-python, python3-sphinx,
+ python-setuptools, python3-setuptools
 Build-Conflicts: python-sphinx
 Standards-Version: 3.9.8
 Homepage: http://packages.python.org/Pyro4/
 X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.4
 
 Package: pyro4
 Architecture: all
-Depends: ${misc:Depends}, python3-pyro4 | python2-pyro4
+Depends: ${misc:Depends}, lsb-base, python3-pyro4 | python2-pyro4
 Suggests: pyro4-doc
 Description: distributed object middleware for Python (RPC)
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
@@ -32,7 +34,9 @@
 
 Package: python2-pyro4
 Architecture: all
-Depends: python2-serpent (>= 1.11), ${misc:Depends}, ${python:Depends}
+Depends: python2-serpent (>= 1.16), python2-selectors34, ${misc:Depends}, ${python:Depends}
+Conflicts: python3-pyro4
+Replaces: python3-pyro4
 Suggests: pyro4-doc, pyro4
 Description: distributed object middleware for Python (RPC), Python2 modules
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
@@ -52,7 +56,9 @@
 
 Package: python3-pyro4
 Architecture: all
-Depends: python3-serpent (>= 1.11), ${misc:Depends}, ${python3:Depends}
+Depends: python3-serpent (>= 1.16), ${misc:Depends}, ${python3:Depends}
+Conflicts: python2-pyro4
+Replaces: python2-pyro4
 Suggests: pyro4-doc, pyro4
 Description: distributed object middleware for Python (RPC), Python3 modules
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 export PYBUILD_NAME = pyro4
 export PYBUILD_DESTDIR_python2=debian/python2-pyro4/
@@ -16,7 +16,13 @@
 
 override_dh_installdocs:
 	dh_installdocs
-	rm $(DOCDIR)/html/_sources/license.txt
+	find $(DOCDIR) -name \*.html -exec \
+		sed -i 's|_static/jquery.js|/usr/share/javascript/jquery/jquery.js|' {} \;
+	find $(DOCDIR) -name \*.html -exec \
+		sed -i 's|_static/underscore.js|/usr/share/javascript/underscore/underscore.js|' {} \;
+#	rm $(DOCDIR)/html/_sources/license.txt
+	rm $(DOCDIR)/html/_static/jquery.js
+	rm $(DOCDIR)/html/_static/underscore.js
 
 override_dh_fixperms:
 	find $(EXAMPLESDIR) -type f -exec chmod a-x {} \;

## pyro4 4.61

=== debian/changelog ===
pyro4 (4.61-1) unstable; urgency=medium

  * New upstream release.
  * Serpent 1.23 or greater is now required.
  * Correct duplicate documentation removal (closes: #869432).
  * Update Standards-Version to 4.0.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 23 Jul 2017 15:32:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: pyro4
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 10), python-all, python3-all
 Build-Depends-Indep: dh-python, python3-sphinx,
+ python2-serpent (>= 1.23), python3-serpent (>= 1.23),
  python-setuptools, python3-setuptools
 Build-Conflicts: python-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://packages.python.org/Pyro4/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.4
@@ -34,7 +34,7 @@
 
 Package: python2-pyro4
 Architecture: all
-Depends: python2-serpent (>= 1.16), python2-selectors34, ${misc:Depends}, ${python:Depends}
+Depends: python2-serpent (>= 1.23), python2-selectors34, ${misc:Depends}, ${python:Depends}
 Conflicts: python3-pyro4
 Replaces: python3-pyro4
 Suggests: pyro4-doc, pyro4
@@ -56,7 +56,7 @@
 
 Package: python3-pyro4
 Architecture: all
-Depends: python3-serpent (>= 1.16), ${misc:Depends}, ${python3:Depends}
+Depends: python3-serpent (>= 1.23), ${misc:Depends}, ${python3:Depends}
 Conflicts: python2-pyro4
 Replaces: python2-pyro4
 Suggests: pyro4-doc, pyro4

## pyro4 4.63

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-.PHONY: all sdist wheel docs install upload upload_docs clean test
+.PHONY: all sdist wheel docs install upload clean test
 PYTHON=python3
 
 all:
-	@echo "targets include sdist, wheel, docs, upload, upload_docs, install, clean"
+	@echo "targets include sdist, wheel, docs, upload, install, clean"
 
 sdist: 
 	$(PYTHON) setup.py sdist
@@ -15,19 +15,10 @@
 docs:
 	$(PYTHON) setup.py build_sphinx
 
-upload: upload_docs
+upload:
 	$(PYTHON) setup.py sdist bdist_wheel upload
-	@echo "Don't forget to package and upload the documentation!"
+	@echo "Don't forget to check the doc builds on RTD!"
 	
-upload_docs: docs
-	#  $(PYTHON) setup.py upload_docs --upload-dir=build/sphinx/html
-	rm -f build/sphinx/docs.zip
-	cd build/sphinx/html && zip -qr ../docs.zip .
-	@echo
-	@echo "@todo the setuptools upload_docs command / pypi doc upload have problems lately."
-	@echo "Upload build/sphinx/docs.zip manually at the bottom of this page:"
-	@echo "https://pypi.python.org/pypi?:action=pkg_edit&name=Pyro4"
-
 install:
 	$(PYTHON) setup.py install

=== requirements.txt ===
serpent>=1.23
selectors34 ; python_version < "3.4"

=== debian/changelog ===
pyro4 (4.63-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 26 Dec 2017 15:09:37 +0000

pyro4 (4.62-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Sep 2017 19:34:02 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10), python-all, python3-all
+Build-Depends: debhelper (>= 11), python-all, python3-all
 Build-Depends-Indep: dh-python, python3-sphinx,
  python2-serpent (>= 1.23), python3-serpent (>= 1.23),
  python-setuptools, python3-setuptools
 Build-Conflicts: python-sphinx
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: http://packages.python.org/Pyro4/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.4
@@ -38,6 +38,8 @@
 Conflicts: python3-pyro4
 Replaces: python3-pyro4
 Suggests: pyro4-doc, pyro4
+Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
 Description: distributed object middleware for Python (RPC), Python2 modules
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
  system for Python. In a distributed object system, clients send requests to
@@ -60,6 +62,8 @@
 Conflicts: python2-pyro4
 Replaces: python2-pyro4
 Suggests: pyro4-doc, pyro4
+Provides: ${python3:Provides}
+XB-Python-Version: ${python3:Versions}
 Description: distributed object middleware for Python (RPC), Python3 modules
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
  system for Python. In a distributed object system, clients send requests to

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 		sed -i 's|_static/jquery.js|/usr/share/javascript/jquery/jquery.js|' {} \;
 	find $(DOCDIR) -name \*.html -exec \
 		sed -i 's|_static/underscore.js|/usr/share/javascript/underscore/underscore.js|' {} \;
-#	rm $(DOCDIR)/html/_sources/license.txt
+	rm -r $(DOCDIR)/html/_sources/
 	rm $(DOCDIR)/html/_static/jquery.js
 	rm $(DOCDIR)/html/_static/underscore.js

=== debian/watch ===
version=3
http://pypi.python.org/pypi/Pyro4 .*/Pyro4(?:[_\-]v?|)([\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz).*

## pyro4 4.73

=== requirements.txt ===
serpent>=1.24
selectors34 ; python_version < "3.4"

=== debian/changelog ===
pyro4 (4.73-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 16 Jul 2018 18:20:03 +0000

pyro4 (4.72-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.4:
    - drop ENABLED option via defaults and let the system handle daemon
      usage.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 04 Jun 2018 19:59:59 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), python-all, python3-all
-Build-Depends-Indep: dh-python, python3-sphinx,
+Build-Depends-Indep: dh-python, python3-sphinx, python3-sphinx-rtd-theme,
  python2-serpent (>= 1.23), python3-serpent (>= 1.23),
  python-setuptools, python3-setuptools
 Build-Conflicts: python-sphinx
-Standards-Version: 4.1.2
+Standards-Version: 4.1.5
 Homepage: http://packages.python.org/Pyro4/
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 
 Package: pyro4

## pyro4 4.75

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,17 @@
-.PHONY: all sdist wheel docs install upload clean test
+.PHONY: all sdist wheel docs install upload clean test lint
 PYTHON=python3
 
 all:
-	@echo "targets include sdist, wheel, docs, upload, install, clean"
+	@echo "targets include sdist, wheel, docs, upload, install, clean, lint"
 
-sdist: 
+lint:
+	pycodestyle
+
+sdist:
 	$(PYTHON) setup.py sdist
 	@echo "Look in the dist/ directory"
 
-wheel: 
+wheel:
 	$(PYTHON) setup.py bdist_wheel
 	@echo "Look in the dist/ directory"
 
@@ -18,12 +21,12 @@
 upload:
 	$(PYTHON) setup.py sdist bdist_wheel upload
 	@echo "Don't forget to check the doc builds on RTD!"
-	
+
 install:
 	$(PYTHON) setup.py install
 
 test:
-	$(PYTHON) tests/run_testsuite.py
+	PYTHONPATH=./src $(PYTHON) tests/run_testsuite.py
 
 clean:
 	@echo "Removing tox dirs, logfiles, Pyro URI dumps, .pyo/.pyc files..."
@@ -38,7 +41,7 @@
 	find . -name \*.DS_Store -print0 | xargs -0  rm -f
 	find . -name \.coverage -print0 | xargs -0  rm -f
 	find . -name \coverage.xml -print0 | xargs -0  rm -f
-	rm -f MANIFEST 
+	rm -f MANIFEST
 	rm -rf build
 	rm -rf tests/test-reports
 	find . -name  '.#*' -print0 | xargs -0  rm -f

=== requirements.txt ===
serpent>=1.27
selectors34 ; python_version < "3.4"

=== debian/changelog ===
pyro4 (4.75-1) unstable; urgency=medium

  * New upstream release.
  * Mark pyro4-doc as Multi-Arch foreign.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Jan 2019 16:47:26 +0000

pyro4 (4.74-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 26 Dec 2018 00:19:11 +0000

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), python-all, python3-all
 Build-Depends-Indep: dh-python, python3-sphinx, python3-sphinx-rtd-theme,
- python2-serpent (>= 1.23), python3-serpent (>= 1.23),
+ python2-serpent (>= 1.27), python3-serpent (>= 1.27),
  python-setuptools, python3-setuptools
 Build-Conflicts: python-sphinx
-Standards-Version: 4.1.5
-Homepage: http://packages.python.org/Pyro4/
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+Standards-Version: 4.3.0
+Homepage: https://packages.python.org/Pyro4/
+#X-Python-Version: >= 2.7
+#X-Python3-Version: >= 3.4
 
 Package: pyro4
 Architecture: all
@@ -34,7 +34,7 @@
 
 Package: python2-pyro4
 Architecture: all
-Depends: python2-serpent (>= 1.23), python2-selectors34, ${misc:Depends}, ${python:Depends}
+Depends: python2-serpent (>= 1.27), python2-selectors34, ${misc:Depends}, ${python:Depends}
 Conflicts: python3-pyro4
 Replaces: python3-pyro4
 Suggests: pyro4-doc, pyro4
@@ -58,7 +58,7 @@
 
 Package: python3-pyro4
 Architecture: all
-Depends: python3-serpent (>= 1.23), ${misc:Depends}, ${python3:Depends}
+Depends: python3-serpent (>= 1.27), ${misc:Depends}, ${python3:Depends}
 Conflicts: python2-pyro4
 Replaces: python2-pyro4
 Suggests: pyro4-doc, pyro4
@@ -82,6 +82,7 @@
 
 Package: pyro4-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Suggests: pyro4
 Depends: ${misc:Depends}, libjs-jquery, libjs-underscore

=== debian/rules ===
--- 
+++ 
@@ -29,11 +29,7 @@
 	dh_fixperms
 
 override_dh_installinit:
-	dh_installinit -ppyro4 --name=pyro4-nsd --onlyscripts
-	# Due to --onlyscripts above, default file is not installed
-	# automatically
-	install -m0644 -D $(CURDIR)/debian/pyro4.pyro4-nsd.default \
-		$(CURDIR)/debian/pyro4/etc/default/pyro4-nsd
+	dh_installinit -ppyro4 --name=pyro4-nsd --no-enable
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild

## pyro4 4.76

=== debian/changelog ===
pyro4 (4.76-1) unstable; urgency=medium

  * New upstream release.
  * Add new self-testing requirements as build dependencies.
  * Skip networked tests.
  * Remove python2-pyro4 package (closes: #937526).
  * Update Python packaging bits.
  * Update watch file.
  * Update Standards-Version to 4.4.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 08 Sep 2019 10:26:28 +0000

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,18 @@
 Section: python
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), python-all, python3-all
+Build-Depends: debhelper (>= 11), python3-all
 Build-Depends-Indep: dh-python, python3-sphinx, python3-sphinx-rtd-theme,
- python2-serpent (>= 1.27), python3-serpent (>= 1.27),
- python-setuptools, python3-setuptools
+ python3-serpent (>= 1.27), python3-setuptools,
+ python3-cloudpickle (>= 0.4.0), python3-dill (>= 0.2.6), python3-msgpack (>= 0.5.2)
 Build-Conflicts: python-sphinx
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://packages.python.org/Pyro4/
-#X-Python-Version: >= 2.7
 #X-Python3-Version: >= 3.4
 
 Package: pyro4
 Architecture: all
-Depends: ${misc:Depends}, lsb-base, python3-pyro4 | python2-pyro4
+Depends: ${misc:Depends}, lsb-base, python3-pyro4
 Suggests: pyro4-doc
 Description: distributed object middleware for Python (RPC)
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
@@ -32,38 +31,12 @@
  The documentation is available in the pyro4-doc package.
  A lot of examples are available in the pyro4-examples package.
 
-Package: python2-pyro4
-Architecture: all
-Depends: python2-serpent (>= 1.27), python2-selectors34, ${misc:Depends}, ${python:Depends}
-Conflicts: python3-pyro4
-Replaces: python3-pyro4
-Suggests: pyro4-doc, pyro4
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: distributed object middleware for Python (RPC), Python2 modules
- Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
- system for Python. In a distributed object system, clients send requests to
- distant servers, which owns the remote objects. Pyro simplifies a lot the
- creation of clients and servers, and has among its features:
-  - dynamic and static proxies for all remote method invocations,
-  - a naming service which keeps record of the location of objects,
-  - mobile objects support: clients and servers can pass objects around,
-  - exceptions that occur in the remote object is raised on the client too,
-  - multithreaded server support to handle multiple requests simultaneously.
- .
- This package contains the core Pyro4 module for Python 2.x .
- .
- The documentation is available in the pyro4-doc package.
- A lot of examples are available in the pyro4-examples package.
-
 Package: python3-pyro4
 Architecture: all
 Depends: python3-serpent (>= 1.27), ${misc:Depends}, ${python3:Depends}
 Conflicts: python2-pyro4
 Replaces: python2-pyro4
 Suggests: pyro4-doc, pyro4
-Provides: ${python3:Provides}
-XB-Python-Version: ${python3:Versions}
 Description: distributed object middleware for Python (RPC), Python3 modules
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
  system for Python. In a distributed object system, clients send requests to

## pyro4 4.79

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 lint:
 	pycodestyle
+
+test:
+	$(PYTHON) setup.py test
 
 sdist:
 	$(PYTHON) setup.py sdist
@@ -18,15 +21,12 @@
 docs:
 	$(PYTHON) setup.py build_sphinx
 
-upload:
-	$(PYTHON) setup.py sdist bdist_wheel upload
+upload: sdist wheel
+	twine upload dist/*
 	@echo "Don't forget to check the doc builds on RTD!"
 
 install:
 	$(PYTHON) setup.py install
-
-test:
-	PYTHONPATH=./src $(PYTHON) tests/run_testsuite.py
 
 clean:
 	@echo "Removing tox dirs, logfiles, Pyro URI dumps, .pyo/.pyc files..."

=== debian/changelog ===
pyro4 (4.79-1) unstable; urgency=medium

  * New upstream release:
    - fix FTBFS with serpent 1.30.2 (closes: #951967).
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 23 Feb 2020 08:14:46 +0000

## pyro4 4.80

=== debian/changelog ===
pyro4 (4.80-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 13 Jun 2020 22:08:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), python3-all
+Build-Depends: debhelper-compat (= 11), python3-all
 Build-Depends-Indep: dh-python, python3-sphinx, python3-sphinx-rtd-theme,
  python3-serpent (>= 1.27), python3-setuptools,
  python3-cloudpickle (>= 0.4.0), python3-dill (>= 0.2.6), python3-msgpack (>= 0.5.2)
 Build-Conflicts: python-sphinx
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://packages.python.org/Pyro4/
 #X-Python3-Version: >= 3.4

=== debian/watch ===
version=3
https://pypi.org/project/Pyro4/ .*/Pyro4(?:[_\-]v?|)([\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz).*

## pyro4 4.82

=== requirements.txt ===
serpent >=1.27,<1.30 ; python_version < "3.2"
serpent >=1.27 ; python_version >= "3.2"
selectors34 ; python_version < "3.4"

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../build/sphinx

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pyro.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pyro.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pyro"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pyro"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pyro4 (4.82-4) unstable; urgency=medium

  [ Thomas Goirand <zigo@debian.org> ]
  * Fix FTBFS by adding a patch:
    - use-self.assertEqual-not-self.assertEquals.patch (closes: #1058099).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Jan 2024 17:05:59 +0100

pyro4 (4.82-3) unstable; urgency=medium

  * Fix FTBFS with Sphinx 7.1 (closes: #1042648).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 06 Nov 2023 17:31:51 +0100

pyro4 (4.82-2) unstable; urgency=medium

  [ Bo Yu <tsu.yubo@gmail.com> ]
  * Add patch to fix FTBFS on Python 3.11 (closes: #1026628).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 02 Jan 2023 21:48:48 +0100

pyro4 (4.82-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 11 Jan 2022 22:19:07 +0100

pyro4 (4.81-2) unstable; urgency=medium

  * Backport upstream fix for raise on exposed Python 3.10 cmethod/smethod
    (closes: #1002330).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Dec 2021 17:55:32 +0100

pyro4 (4.81-1) unstable; urgency=medium

  * New upstream release (closes: #997380).
  * Update homepage location.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Oct 2021 11:09:04 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  python3-cloudpickle (>= 0.4.0), python3-dill (>= 0.2.6), python3-msgpack (>= 0.5.2)
 Build-Conflicts: python-sphinx
 Standards-Version: 4.5.0
-Homepage: https://packages.python.org/Pyro4/
+Homepage: https://github.com/irmen/Pyro4
 #X-Python3-Version: >= 3.4
 
 Package: pyro4
 Architecture: all
-Depends: ${misc:Depends}, lsb-base, python3-pyro4
+Depends: ${misc:Depends}, sysvinit-utils (>= 3.05-4~) | lsb-base, python3-pyro4
 Suggests: pyro4-doc
 Description: distributed object middleware for Python (RPC)
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
@@ -58,7 +58,7 @@
 Multi-Arch: foreign
 Section: doc
 Suggests: pyro4
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: ${misc:Depends}, libjs-jquery
 Description: distributed object middleware for Python (RPC), documentation
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
  system for Python.

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,9 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 export PYBUILD_NAME = pyro4
-export PYBUILD_DESTDIR_python2=debian/python2-pyro4/
 
 DOCDIR=$(CURDIR)/debian/pyro4-doc/usr/share/doc/pyro4-doc/
 EXAMPLESDIR=$(CURDIR)/debian/pyro4-examples/usr/share/doc/pyro4/examples/
@@ -22,7 +21,7 @@
 		sed -i 's|_static/underscore.js|/usr/share/javascript/underscore/underscore.js|' {} \;
 	rm -r $(DOCDIR)/html/_sources/
 	rm $(DOCDIR)/html/_static/jquery.js
-	rm $(DOCDIR)/html/_static/underscore.js
+#	rm $(DOCDIR)/html/_static/underscore.js
 
 override_dh_fixperms:
 	find $(EXAMPLESDIR) -type f -exec chmod a-x {} \;
@@ -32,7 +31,7 @@
 	dh_installinit -ppyro4 --name=pyro4-nsd --no-enable
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 .PHONY: override_dh_auto_build override_dh_installdocs \
 	override_dh_fixperms override_dh_installinit

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/i,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/irmen/Pyro4/tags \
(?:|.*/)v?(\d\S*)@ARCHIVE_EXT@
